<span class="badge badge-info m-1" *ngFor="let item of valueArray; let i = index" (click)="remove(item, i)">
    <i class="fa fa-times" aria-hidden="true"></i> {{item}}</span>
<input type="text" class="form-control" (keyup.enter)="addNewValue(newValue)" [(ngModel)]="newValue" (keyup)="resizeWidth(newValue)" [ngStyle]="{'width': inputWidth}" (keydown.backspace)="backspaceRemove(newValue)">

